@echo off
cd /d %~dp0
set /p ip=请输入音箱ip:
echo 清理进程...
adb disconnect >nul
taskkill /f /t /im adb.exe >nul
adb devices >nul
echo 开始连接音箱。。。
adb connect %ip%
echo 允许未知来源应用
adb shell settings put secure install_non_market_apps 1
set apk=myUnisound2.5.1.apk
echo 上传软件
adb push %apk% /data/local/tmp/
echo 上传完毕，开始安装。。。
adb shell /system/bin/pm install -r /data/local/tmp/%apk%
echo 安装完毕，删除软件包。。。
adb shell rm /data/local/tmp/%apk%
echo 开始重启音箱。。。
adb reboot

echo 按任意键退出...
pause > nul
exit